Subject: bug#11075: 24.0.94; Arabic character composition

From: YAMAMOTO Mitsuharu <[email-masked]>
Date: Mon, 02 Apr 2012 16:21:28 +0900

>>>>> On Fri, 23 Mar 2012 16:44:01 +0100, Joost Kremers <[email-masked]> said:

> Although Emacs 24 has bidi support (yay!), character composition for
> Arabic does not work for me on OS X. (In the Arabic script, each
> character has different forms depending on its position in the word:
> beginning, middle or end. These shapes should be selected
> automatically by the software, but they are not.)

The NS port doesn't support text shaping.  The Mac port, which used to
support text shaping only for left-to-right, now also supports for
right-to-left:

  http://lists.gnu.org/archive/html/emacs-devel/2012-04/msg00018.html

I'd appreciate it if you could accept its experimental/hackers-only
status and try it, because its right-to-left text shaping code is very
new and not fully tested.

				     YAMAMOTO Mitsuharu
				[email-masked]